curl --request GET \
--url https://api.sandbox.lead.bank/v1/ach \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v1/ach"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v1/ach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objects": [
{
"id": "ach_xyz001",
"created_at": "2022-06-27T11:22:33Z",
"updated_at": "2022-06-27T11:22:33Z",
"status": "submitted",
"amount": 5000,
"account_id": "account_xyz123",
"account_number_id": "account_number_xyz123",
"direction": "outgoing",
"delivery_type": "same_business_day",
"transaction_type": "credit",
"sec_code": "WEB",
"currency_code": "USD",
"statement_descriptor": "P2P Credit",
"record_details": {
"transaction_code": "checking_credit",
"company_name": "Acme Inc.",
"company_id": "1234",
"company_discretionary_data": "Acme Inc.",
"effective_date": "2022-06-27",
"settlement_date": "2022-06-27",
"individual_id": "<string>",
"receiver_name": "<string>",
"descriptive_date": "220627",
"additional_information": "<string>",
"trace_number": "123456789012345"
},
"counterparty": {
"name": "Lara Smikle",
"account_number": "1032345678",
"routing_number": "021000021",
"account_type": "checking"
},
"returns": [
{
"type": "return",
"status": "submitted",
"return_code": "R02",
"return_reason": "<string>",
"trace_number": "123456789012345",
"additional_information": "<string>"
}
],
"reversal": {
"reversal_reason": "duplicate",
"linked_ach_id": "<string>"
},
"rejection": {
"reason": "account_number_status",
"details": "Account number account_123 is inactive."
},
"correction": {
"account_number": "1032345678",
"routing_number": "021000021",
"account_type": "checking"
},
"metadata": {},
"iat_details": {
"transaction_type_code": "business",
"destination_country": "CA",
"originator_currency_code": "USD",
"destination_currency_code": "CAD",
"foreign_trace_number": "FRN-2024-98765-INTL",
"additional_information": "<string>",
"originator": {
"name": "Acme Inc.",
"street_address": "123 Main Street",
"city_state_province": "New York*NY\\",
"country_postal_code": "US*10001\\"
},
"originating_financial_institution": {
"name": "First National Bank",
"identifier_type": "swift_bic",
"identifier_code": "FNBUS33XXX",
"branch_country": "US"
},
"receiver": {
"name": "Lara Smikle",
"reference_number": "RCV-2024-001",
"street_address": "456 Maple Avenue",
"city_state_province": "Toronto*ON\\",
"country_postal_code": "CA*M5H 2N2\\"
},
"receiving_financial_institution": {
"name": "First National Bank",
"identifier_type": "swift_bic",
"identifier_code": "FNBUS33XXX",
"branch_country": "US"
},
"foreign_correspondent_banks": [
{
"name": "First National Bank",
"identifier_type": "swift_bic",
"identifier_code": "FNBUS33XXX",
"branch_country": "US"
}
]
}
}
],
"has_more": true
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}List all ACH
List all ACH objects.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return ACHes associated with this account_id.
^account_\w+$Return ACHes associated with this account_number.
17Return ACHes associated with this account_number_id.
^account_number_\w+$Return ACHes associated with this counterparty's account_number.
17Return ACHes with this direction.
Who is initiating the transaction.
outgoing: You are sending a transaction to a counterparty. incoming: You are receiving a transaction from a counterparty.
outgoing, incoming "outgoing"
Return ACHes with this status.
The current status of the ACH object.
scheduled, processing, submitted, posted, canceled, under_review, approved, rejected, pending_return, returned, pending_dishonored_return, return_dishonored, pending_contested_return, return_contested "submitted"
Return ACHes with this transaction_type.
ACH transaction type.
credit, debit "credit"
A set of filters on the list using the object’s field created_at.
Show child attributes
Show child attributes
Maximum number of objects to be returned.
1 <= x <= 100A cursor for use in pagination; this is an ID that defines your place in the list.
^ach_\w+$A cursor for use in pagination; this is an ID that defines your place in the list.
^ach_\w+$Was this page helpful?

